Bug 20850 - SVUID for all serializable templates
SVUID for all serializable templates
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Templates
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Jesse Glick
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-25 18:20 UTC by Jesse Glick
Modified: 2003-02-19 19:18 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-02-25 18:20:00 UTC
All templates in apisupport which are serializable should have a
serialVersionUID. It can just be 1L or something.
Comment 1 Marek Grummich 2002-07-22 08:20:45 UTC
Target milestone was changed from '3.4' to TBD.
Comment 2 Jesse Glick 2003-01-08 22:16:39 UTC
committed   * Up-To-Date  1.7        
apisupport/src/org/netbeans/modules/apisupport/lite/resources/datasystems-__Sample_uni__DataLoader_java
committed   * Up-To-Date  1.6        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Compiler_API/__Sample_external__CompilerType_java
committed   * Up-To-Date  1.8        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/DataSystems_API/__Sample_multi__DataLoader_java
committed   * Up-To-Date  1.7        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Editor_API/EditorSupport_java
committed   * Up-To-Date  1.6        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Execution_API/__Sample_external__Executor_java
committed   * Up-To-Date  1.9        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Execution_API/__Sample_internal__Executor_java
committed   * Up-To-Date  1.8        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/FileSystems_API/__Sample__FileSystem_java
committed   * Up-To-Date  1.7        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Nodes_API/__Sample_filter__Node_java
committed   * Up-To-Date  1.5        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Options_API/__Sample__Settings_java
committed   * Up-To-Date  1.6        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Window_System_API/TemplateWizardIterator_java
committed   * Up-To-Date  1.9        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Window_System_API/TopComponent_java


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo